futhark-0.25.32: An optimising compiler for a functional, array-oriented language.

Safe Haskell | None
Language | GHC2021

Futhark.CodeGen.RTS.OpenCL

Description

Code snippets used by the OpenCL and CUDA backends.

Synopsis

- transposeCL :: Text
- preludeCL :: Text
- copyCL :: Text

# Documentation

transposeCL :: Text Source #

    rtsopencltranspose.cl

preludeCL :: Text Source #

    rtsopenclprelude.cl

copyCL :: Text Source #

    rtsopenclcopy.cl